/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ru.mai.dep806.swingsample;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import javax.swing.event.TableModelListener;
import javax.swing.table.TableModel;
import ru.mai.dep806.swingsample.model.Book;

/**
 *
 * @author stud
 */
public class BookTableModel implements TableModel {
    
    private List<Book> books = new ArrayList<>();
    private List<String> columns = Arrays.asList("Номер", "Автор", "Название");
    
    public void addBook(Book book) {
        books.add(book);
    }

    @Override
    public int getRowCount() {
        return books.size();
    }

    @Override
    public int getColumnCount() {
        return columns.size();
    }

    @Override
    public String getColumnName(int columnIndex) {
        return columns.get(columnIndex);
    }

    @Override
    public Class<?> getColumnClass(int columnIndex) {
        return String.class;
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        return false;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        Book book = books.get(rowIndex);
        switch (columnIndex) {
            case 0: return book.getId();
            case 1: return book.getAuthor().getName();
            case 2: return book.getBookName();
            default:
                throw new IllegalStateException();
        }
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
        
    }

    @Override
    public void addTableModelListener(TableModelListener l) {
        
    }

    @Override
    public void removeTableModelListener(TableModelListener l) {
        
    }
    
}
